Customer Seats
Get Claim Info
GET
/
v1
/
customer-seats
/
claim
/
{invitation_token}
Go (SDK)
package main
import(
"context"
macropaygo "github.com/web3group/macropay-go-main"
"log"
)
func main() {
ctx := context.Background()
s := macropaygo.New()
res, err := s.CustomerSeats.GetClaimInfo(ctx, "<value>")
if err != nil {
log.Fatal(err)
}
if res.SeatClaimInfo != nil {
// handle response
}
}from macropay_sdk import Macropay
with Macropay() as macropay:
res = macropay.customer_seats.get_claim_info(invitation_token="<value>")
# Handle response
print(res)import { Macropay } from "@macropayments/sdk";
const macropay = new Macropay();
async function run() {
const result = await macropay.customerSeats.getClaimInfo({
invitationToken: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Macropay;
$sdk = Macropay\Macropay::builder()->build();
$response = $sdk->customerSeats->getClaimInfo(
invitationToken: '<value>'
);
if ($response->seatClaimInfo !== null) {
// handle response
}curl --request GET \
--url https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}const options = {method: 'GET'};
fetch('https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"product_name": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"organization_slug": "<string>",
"customer_email": "<string>",
"can_claim": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
Read-only information about a seat claim invitation. Safe for email scanners - no side effects when fetched.
Name of the product
ID of the product
Name of the organization
Slug of the organization
Email of the customer assigned to this seat
Whether the seat can be claimed
⌘I
Go (SDK)
package main
import(
"context"
macropaygo "github.com/web3group/macropay-go-main"
"log"
)
func main() {
ctx := context.Background()
s := macropaygo.New()
res, err := s.CustomerSeats.GetClaimInfo(ctx, "<value>")
if err != nil {
log.Fatal(err)
}
if res.SeatClaimInfo != nil {
// handle response
}
}from macropay_sdk import Macropay
with Macropay() as macropay:
res = macropay.customer_seats.get_claim_info(invitation_token="<value>")
# Handle response
print(res)import { Macropay } from "@macropayments/sdk";
const macropay = new Macropay();
async function run() {
const result = await macropay.customerSeats.getClaimInfo({
invitationToken: "<value>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Macropay;
$sdk = Macropay\Macropay::builder()->build();
$response = $sdk->customerSeats->getClaimInfo(
invitationToken: '<value>'
);
if ($response->seatClaimInfo !== null) {
// handle response
}curl --request GET \
--url https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}const options = {method: 'GET'};
fetch('https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.macropay.ai/v1/customer-seats/claim/{invitation_token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"product_name": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"organization_slug": "<string>",
"customer_email": "<string>",
"can_claim": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}